Bug 295164 - monitor sleep settings reset, resulting in monitor turning off
Summary: monitor sleep settings reset, resulting in monitor turning off
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Frameworks and Libraries
Component: powermanagement (show other bugs)
Version: 4.8.0
Platform: Unlisted Binaries Linux
: NOR major with 60 votes (vote)
Target Milestone: ---
Assignee: Dario Freddi
URL:
Keywords:
: 286572 292660 293795 302986 304163 306490 307011 308767 319486 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-03-01 18:24 UTC by illumilore
Modified: 2013-05-19 17:02 UTC (History)
15 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description illumilore 2012-03-01 18:24:52 UTC
Version:           unspecified (using KDE 4.8.0) 
OS:                Linux

Even though I have my power savings set so that the monitor never should turn off, it still does after about an hour. This only started happening in 4.8

Reproducible: Always

Steps to Reproduce:
na

Actual Results:  
na

Expected Results:  
na

na
Comment 1 illumilore 2012-03-03 01:16:22 UTC
This seems to happen around 20 minutes of idle activity, which is about what my screensaver is at, but even if I try disabling that as well as making sure that power off monitor is unchecked in power savings, bit it still does it anyway. All this turning off and on of my monitor is going to wear it out, so because of hardware damage that makes this a more important than normal.
Comment 2 predictor 2012-05-11 04:53:44 UTC
run in konsole:
#xset -dpms
#xset s off
monitor would not power off
Comment 3 Francesco 2012-06-23 12:35:24 UTC
I have solved with this workaround 

In the /etc/X11/xorg.conf at the "ServerLayout" Section, I have added 

        Option "BlankTime"  "0"
        Option "StandbyTime" "0"
        Option "SuspendTime" "0"
        Option "OffTime" "0"


This is a good solution for a desktop But this makes the DPMS unusable on a notebook. 

On my notebook I have three power states: "On AC Power", "On battery" and "On low battery" but for some mistakes anytime the DPMS settings used are the values set by "On AC Power" options.  
Also, If the ****time settings are checked the DMPS vales are overwritten (checked with xset q) but if this are all unchecked and I reboot the X server (or the kdm) the DMPS settings are resetted to the default.  

I hope that this bug will be fixed
Comment 4 Jay LaCroix 2012-06-26 15:23:12 UTC
I also have the same problem on 4.8. If I run "xset -dpms" it will disable it, but it will always come back at some point and be re-enabled. 

If I go into System Settings and enable screen blanking and then disable it again, screen blanking will stop as expected, but later turn itself on.

I added 'Option "NODPMS" ' to /etc/X11/xorg.conf.d/10-monitor.conf and it disabled screen blanking for about a week, then it somehow got re-enabled again.

Sometimes screen blanking will blank every three seconds (literally) sometimes it may be 10 minutes. It's seemingly random.

This is very frustrating, we should be able to control whether or not our screen blanks, and how long until it does. Something else is controlling it other than us, despite whatever is set in System Settings.
Comment 5 Lamarque V. Souza 2012-07-22 19:11:30 UTC
*** Bug 292660 has been marked as a duplicate of this bug. ***
Comment 6 forgetit 2012-09-20 09:43:50 UTC
The same here! But maybe i'v got a little bit closer to the cause. When file transfering occurs (filezilla or smb file transfer) then dpms goes to 3seconds immediately, regardless of kde power settings. It's always reproductible. It has been started to happen a few days ago. And one more thing, I installed xautomation and xbindkeys probably at the same time, when this started.

x86_64 arch linux (amd phenom II X4 965) radeon video driver (radeon HD 5500 series) kde 4.9.1.1
Comment 7 Jay LaCroix 2012-09-22 18:21:31 UTC
I can confirm this exact behavior. Disable screen blanking, transfer a file with samba, and it will start blanking again.
Comment 8 Brandon Myers 2012-09-29 06:35:31 UTC
It keeps happening to me, and I don't transfer files using FTP or SMB.

Right now it seems to be happening when I play a video or audio file in Firefox (via Flash or HTML5) or VLC.

I've tried xset -dpms, I've tried setting all the values to zero, I put a bash script in ~/.kde/Autostart, I had a script set to run when KDE starts, and nothing has helped.

It seemed fixed in the previous version of KDE.  Everything was fine, then I upgraded the packages (I run Kubuntu) within the past two weeks, and all of a sudden it's starting to reset again.  It not only turns dpms back on, but it resets the values to Standby: 64    Suspend: 96    Off: 128.  One time it reset with the values at 1, 2, and 3, which was a real pain to try and fix since my monitor kept blanking if I didn't keep the mouse in constant movement.

I've always had power saving disabled in my System Settings, but for whatever reason DPMS just refuses to go away.
Comment 9 forgetit 2012-10-04 18:18:35 UTC
After update to kde 4.9.2.1 still have this annoying bug.
Comment 10 Oliver Henshaw 2012-10-12 17:54:42 UTC
I stumbled across this while fixing another bug. These review request should fix the problem:

https://git.reviewboard.kde.org/r/106793/
https://git.reviewboard.kde.org/r/106794/

If you test these you should be able to drop all your workarounds/xorg.conf snippets and DPMS will do what you tell it to in powerdevil configuration. If there's still a problem, please comment.
Comment 11 Veeti Paananen 2012-10-20 13:39:16 UTC
*** This bug has been confirmed by popular vote. ***
Comment 12 Rex Dieter 2012-10-29 18:01:15 UTC
Anyone experiencing this *not* using vlc? :)

I've found vlc's libinhibit_plugin's use of dbus interface
org.freedesktop.PowerManagement.Inhibit
ends up unconditionally re-enabling dpms

$ xset q => DPMS is disabled

$ qdbus org.freedesktop.PowerManagement.Inhibit \
   /org/freedesktop/PowerManagement/Inhibit \
   org.freedesktop.PowerManagement.Inhibit.Inhibit rex_app because

$ xset q => DPMS is enabled

(I suppose I should file a separate bug, but though mentioning my findings here may help)
Comment 13 Rex Dieter 2012-10-29 18:17:46 UTC
sorry for my false alarm, but I'm testing the patches mentioned in comment #10, and it does turn out that the timeouts reported by xset q before and after are all 0, so it seems to be mostly harmless.
Comment 14 Oliver Henshaw 2012-11-01 15:17:59 UTC
Git commit 7626961a799e03af8907711ac304b4428208dece by Oliver Henshaw.
Committed on 10/10/2012 at 17:18.
Pushed by oliverhenshaw into branch 'push/4.9'.

Don't set unwanted DPMS timeouts on inhibition change

Set m_idleTime to zero when action first initialised and when unloaded.
This makes onProfileLoad safe to use by onUnavailablePoliciesChanged
even when the action is not loaded.
REVIEW: 106793

M  +10   -0    powerdevil/daemon/actions/dpms/powerdevildpmsaction.cpp
M  +1    -0    powerdevil/daemon/actions/dpms/powerdevildpmsaction.h

http://commits.kde.org/kde-workspace/7626961a799e03af8907711ac304b4428208dece
Comment 15 Oliver Henshaw 2012-11-01 15:17:59 UTC
Git commit 0692107bdff3788a3fe6b6eb98dccde1db733b30 by Oliver Henshaw.
Committed on 10/10/2012 at 17:36.
Pushed by oliverhenshaw into branch 'push/4.9'.

Prevent button action from enabling disabled DPMS

Button actions call triggerImpl, which leaves DPMS enabled. It can't be
disabled until return from idle, as that would wake the screen. Solve
this by explicitly setting DPMS timeouts to zero when DPMS is meant to
be disabled - i.e. when unloading the action or when screen power
management is inhibited.
REVIEW: 106794

M  +6    -1    powerdevil/daemon/actions/dpms/powerdevildpmsaction.cpp

http://commits.kde.org/kde-workspace/0692107bdff3788a3fe6b6eb98dccde1db733b30
Comment 16 Oliver Henshaw 2012-11-01 16:14:34 UTC
Git commit 1ad7718aec45e84ddc21e79337bee06fb9afb162 by Oliver Henshaw.
Committed on 10/10/2012 at 17:18.
Pushed by oliverhenshaw into branch 'master'.

Don't set unwanted DPMS timeouts on inhibition change

Set m_idleTime to zero when action first initialised and when unloaded.
This makes onProfileLoad safe to use by onUnavailablePoliciesChanged
even when the action is not loaded.
REVIEW: 106793
(cherry picked from commit 7626961a799e03af8907711ac304b4428208dece)

M  +10   -0    powerdevil/daemon/actions/dpms/powerdevildpmsaction.cpp
M  +1    -0    powerdevil/daemon/actions/dpms/powerdevildpmsaction.h

http://commits.kde.org/kde-workspace/1ad7718aec45e84ddc21e79337bee06fb9afb162
Comment 17 Oliver Henshaw 2012-11-01 16:14:34 UTC
Git commit d91dfc6eab74a31f9f3525bc83be95c373b014e6 by Oliver Henshaw.
Committed on 10/10/2012 at 17:36.
Pushed by oliverhenshaw into branch 'master'.

Prevent button action from enabling disabled DPMS

Button actions call triggerImpl, which leaves DPMS enabled. It can't be
disabled until return from idle, as that would wake the screen. Solve
this by explicitly setting DPMS timeouts to zero when DPMS is meant to
be disabled - i.e. when unloading the action or when screen power
management is inhibited.
REVIEW: 106794
(cherry picked from commit 0692107bdff3788a3fe6b6eb98dccde1db733b30)

M  +6    -1    powerdevil/daemon/actions/dpms/powerdevildpmsaction.cpp

http://commits.kde.org/kde-workspace/d91dfc6eab74a31f9f3525bc83be95c373b014e6
Comment 18 Oliver Henshaw 2013-02-07 13:11:24 UTC
This has been fixed for a while. If symptons persist, please file a new bug.
Comment 19 Oliver Henshaw 2013-02-07 13:12:56 UTC
*** Bug 306490 has been marked as a duplicate of this bug. ***
Comment 20 Oliver Henshaw 2013-02-07 13:20:03 UTC
*** Bug 304163 has been marked as a duplicate of this bug. ***
Comment 21 Oliver Henshaw 2013-02-07 14:46:55 UTC
*** Bug 307011 has been marked as a duplicate of this bug. ***
Comment 22 Oliver Henshaw 2013-02-07 14:48:04 UTC
*** Bug 308767 has been marked as a duplicate of this bug. ***
Comment 23 Oliver Henshaw 2013-02-07 14:53:26 UTC
*** Bug 293795 has been marked as a duplicate of this bug. ***
Comment 24 illumilore 2013-02-09 18:34:12 UTC
This bug was fixed in 4.9, but is back in 4.10. I set my screensaver to never require a password, but it has reset 3 times back to a lock screen that doesn't even have a screen saver.
Comment 25 Oliver Henshaw 2013-02-10 15:09:50 UTC
(In reply to comment #24)
> This bug was fixed in 4.9, but is back in 4.10. I set my screensaver to
> never require a password, but it has reset 3 times back to a lock screen
> that doesn't even have a screen saver.
Bug #310871?
Comment 26 Oliver Henshaw 2013-02-12 13:18:34 UTC
If this isn't bug #310871 please file a new bug.
Comment 27 Oliver Henshaw 2013-02-13 15:51:40 UTC
*** Bug 286572 has been marked as a duplicate of this bug. ***
Comment 28 Oliver Henshaw 2013-03-01 13:17:46 UTC
*** Bug 302986 has been marked as a duplicate of this bug. ***
Comment 29 Jonathan Thomas 2013-05-07 18:51:56 UTC
*** Bug 319486 has been marked as a duplicate of this bug. ***
Comment 30 interfaSys 2013-05-19 15:29:09 UTC
This is still not working properly on KDE 4.10.2 in Kubuntu 13.4.

I'm using the simple locker which starts after 5 minutes.
Comment 31 interfaSys 2013-05-19 15:31:08 UTC
I came to this bug from bug #286572 which is exactly the problem I'm experiencing, but which was marked as a duplicate of this bug.
Comment 32 Oliver Henshaw 2013-05-19 16:57:25 UTC
Which video player are you having trouble with? If it's vlc, see bug #292917 comment #8
Comment 33 interfaSys 2013-05-19 17:02:29 UTC
Bingo! Thanks for the link. I'll patiently wait for vlc v2.10.